SamplerGaussian Class Reference

Gaussian Sampler. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| SamplerGaussian (unsigned long seed=SeedGenerator::instance().get())
| SamplerGaussian (const SamplerGaussian &sampler)
SamplerGaussian & | operator= (const SamplerGaussian &sampler)
void | operator() (Array &newPoint, const Array &currentPoint, const Array &temp) const

## Detailed Description

Gaussian Sampler.

Sample from normal distribution. This means that the parameter space must have support on the whole real line.

Examples
  GlobalOptimizer.cpp.